DtMmdbTocGetParentId(library call)

NAME
DtMmdbTocGetParentId — obtains the object identifier of the parent section

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbTocGetParentId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbTocGetParentId function returns the object identifier of the section that is parent to the specified section. Use the DtMmdbFreeHandle to release the identifier when it is no longer needed.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the section's Database Engine identifier, in the primary_oid field.

RETURN VALUE

If DtMmdbTocGetParentId completes successfully, it returns the object identifier of the parent section. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbTocGetParentId call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
DtMmdbHandle* parent = DtMmdbTocGetParentId(&&request);
if  (parent != DtMmdbGroundId) {
   if (parent == 0) {
       /* invalid request */
   } else {
     /* parent points at the parent section */
   }
} else { /* this section is the root section */
 }

SEE ALSO

TO BE SUPPLIED